Get login failure restriction settings
GET /api/system_settings/login_failure_restriction
GET /api/system_settings/login_failure_restrictionInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/system_settings/login_failure_restriction"Successfully retrieved or updated the login failure restriction settings.
{
"value": {
"enable": true,
"failure_threshold": 5,
"ban_duration_minutes": 15
}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/system_settings/login_failure_restriction
Get login failure restriction settings
Retrieve the current policy for temporarily banning built-in users after too many consecutive failed login attempts.
Required IAM Permission: Action iam:GetLoginFailureRestriction, Resource arn:api7:iam:organization/*
Parameters
Responses
200: Successfully retrieved or updated the login failure restriction settings.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional):value.enable(boolean, required): Enable temporarily banning built-in users after too many consecutive failed login attempts.value.failure_threshold(integer, required): Number of consecutive failed login attempts that triggers a temporary login ban.value.ban_duration_minutes(integer, required): How long, in minutes, a triggered login ban lasts.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/system_settings/login_failure_restriction'